Use this endpoint to check the mandate status of the following payment methods:
- Cards
- NetBanking
- UPI
POST
/merchant/postservice.php
Sample Request
Request Payload
curl --location 'https://test.payu.in/merchant/postservice.php?form=2' \
--header 'Cookie: PHPSESSID=jp38t4gvop7ami1ksncksj398v; USERTXNINFO=68ed4df291d9b7.27710642' \
--form 'form="2"' \
--form 'key="BmTY3G"' \
--form 'command="check_mandate_status"' \
--form 'var1="{\"authPayuId\":\"25599222315\",\"requestId\":\"403993715532527858_check_3\",\"endDate\":\"2025-11-15\",\"amount\":\"1\"}"' \
--form 'hash="YOUR_HASH_VALUE"'Sample Response
Response Payload
{
"status":"active",
"action":"check_mandate_status",
"authpayuid":25599222315,
"amount":"1",
"mandateStartDate":"2025-10-14",
"mandateEndDate":"2027-12-01"
}{
"status": "SUCCESS", // INITIATED/SUCCESS/FAILED/CANCEL_INITIATED/CANCEL_PENDING/CANCEL_FAILED/CANCEL_INITIATION_FAILED
"action": "NB_mandate_status",
"authpayuid": "10731087875",
"amount": "100.00",
"mandateStartDate": "2022-07-19",
"mandateEndDate": "2023-12-20"
}{
"status": "active",
"action": "MANDATE_STATUS",
"authpayuid": "25600438037",
"amount": "1.00",
"mandateStartDate": "2025-10-14 00:00:00",
"mandateEndDate": "2027-12-01 00:00:00"
}Request Parameters
Mandatory ParametersParameters marked with * are mandatory.
| Parameter | Description |
|---|---|
key* | varchar The unique Merchant Key provided by PayU for your account. |
command* | varchar The command API follows. Possible values:
|
var1 | JSON The variable details. Parameter description are explained in the var1 Object Parameters section. |
hash* | varchar 512 SHA hash strings generated by encrypting request parameters so that any tampering can be avoided. The value is calculated using the following logic: hash = sha512(key|command|var1|SALT) |
var1 Object Parameters
var1 Object Parameters| Parameter | Description |
|---|---|
authPayuId* | string The value of mihpayid is returned in the payment response of the Registration transaction when the transaction is successfully completed. As described earlier, the merchant needs to map this value against the customer profile at his end so that correct authPayuid will be passed in the request. |
requestId* | string A unique request value generated at merchant’s end to distinguish independent request call. |
endDate | date The end date of the mandate. For example, 2025-11-15. |
amount | integer The mandate amount in INR. For example, 1. |
Response Parameters
| Parameter | Description |
|---|---|
status | The mandate status. Possible values:
|
action | The type of action. Possible values:
|
authpayuid | The value of registration transaction ID sent in the request. |
amount | The billing amount as sent in the request. |
mandateStartDate | The mandate start date as sent in the request. |
mandateEndDate | The mandate end date as sent in the request. |
Errors
Below are the failure scenarios divided as per payment methods.
Cards
Below are the errors associated to cards.
Mandate is Cancelled
{
"status": "cancelled",
"action": "check_mandate_status",
"authpayuid": "19122384119",
"amount": 18029,
"mandateStartDate": "2024-02-06",
"mandateEndDate": "2030-02-06"
}Reason: This error occurs when you try to check the status of a cancelled mandate.
SI is not Valid
{
"status": 422,
"errorCode": "ER0816",
"errorMessage": "SI is not valid",
"action": "check_mandate_status"
}Reason: This error occurs when the SI instructions of a mandate is invalid.
Mandate is Discarded
{
"status": "discarded",
"action": "check_mandate_status",
"authpayuid": "16696314880",
"amount": 599,
"mandateStartDate": "2024-01-30",
"mandateEndDate": "2029-01-30"
}Reason: This error occurs when you try to check the status of a discarded mandate.
Consent is not Mandated
{
"status": 0,
"message": "Consent is Not Mandated",
"action": "check_mandate_status"
}Reason: This error occurs when the consent is not mandated.
Mandate has Failed
{
"status": "failed",
"action": "check_mandate_status",
"authpayuid": "15598035386",
"amount": 149,
"mandateStartDate": "2022-08-30",
"mandateEndDate": "2027-08-30"
}Reason: This error occurs when you try to access the details of a failed mandate.
Deleted Mandate
{
"status": "deleted",
"action": "check_mandate_status",
"authpayuid": "21830274499",
"amount": 23888,
"mandateStartDate": "2025-02-07",
"mandateEndDate": "2026-01-07",
"deletedon": "2025-01-26T01:00:33+05:30"
}Reason: This error occurs when you try to access the details of a deleted mandate.
Expired Mandate
{
"status": "expired",
"action": "check_mandate_status",
"authpayuid": "20962358568",
"amount": 63000,
"mandateStartDate": "2024-11-07",
"mandateEndDate": "2025-01-07"
}Reason: This error occurs when you try to access the details of a expired mandate.
authPayuId is Missing
{
"status": 0,
"message": "authPayuId is mandatory",
"action": "check_mandate_status"
}Reason: This error occurs when you do not pass the authPayuId parameter.
Solution: Make sure to pass the authPayuId parameter as it is a mandatory parameter.
Internal Error
{
"status": 422,
"errorCode": "ER1002",
"errorMessage": "INTERNAL_ERROR",
"action": "check_mandate_status"
}Reason: This error occurs when there is an internal error while polling the API .
Solution: Retry after sometime.
Mandate is Paused
{
"status": "paused",
"action": "check_mandate_status",
"authpayuid": 21652087097,
"amount": "5",
"mandateStartDate": "2024-11-24",
"mandateEndDate": "2025-12-07"
}Reason: This error occurs when you try to access the details of a paused mandate.
NetBanking
Below are the errors associated to NetBanking.
ENACH Mandate Entry not Found
{
"status": 0,
"message": "ENACH Mandate entry not found",
"action": "NB_mandate_status"
}Reason: This error occurs when you try to access the details of a unregistered ENACH mandate.
UPI
Below are the errors associated to UPI.
Mandate Entry not Found
{
"status": 0,
"message": "Mandate entry not found",
"action": "MANDATE_STATUS"
}Reason: This error occurs when you try to access the details of a unregistered mandate.
